# Lookup Field API

| **Lookup field**                                                                                                                                                     |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| *\<lookup name=”string” placeholder=”string” optional=”boolean” allowCustomValue=”boolean” search=”boolean” documentId=”Id” relatedTo=”string” columnUuid=”UUID” />* |

#### Lookup Field attributes

* **name** — string, length from 1 up to 128 symbols, restricted symbols &, “, <, >, field name used to fill in on envelope, unique for document, mandatory attribute.
* **placeholder** — field placeholder displayable on template and envelope, length from 0 up to 1024 symbols, if empty on envelope will be displayed field name, optional attribute.
* **optional** — boolean, defines if field to be filled in optionally or not on envelope, if not set default value false, optional attribute.
* **allowCustomValue** — boolean, defines if custom value would be acceptable on envelope, optional attribute.
* **search** — boolean, defines if field is searchable on envelope search or not, if not set default value false, optional attribute.
* **documentId** — id, document id where dictionary field which will be looked up is located, mandatory attribute.
* **relatedTo** — string, name of dictionary to which lookup will be connected, mandatory attribute.
* **columnUuid** — UUID of dictionary column, which value should be taken as text value, mandatory attribute.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/template-api/template-dynamic-fields-api/lookup-field-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
